; $Id: globals.inc 178 2008-03-08 12:08:54Z tk $
;
; Global Settings
;
; ==========================================================================
;
;  Portions Copyright 2008 Phil Taylor (phil@taylor.org.uk)
;  Copyright 2006 Thorsten Klose (tk@midibox.org)
;  Licensed for personal non-commercial use only.
;  All other rights reserved.
; 
; ==========================================================================

;; switch between internal 8 MHz clock and external 20 MHz clock
;; Note: for UART<->IIC transmission, 8 MHz is too slow!
#define INTERNAL_OSC	0

; ==========================================================================

; Number of update cycles (* 1mS) the LEDs will stay active on a Rx/Tx event
#define DMX_LEDS_RXTX_DELAY	30

; ==========================================================================
 
PORTA_VALUE	EQU	b'00000111'	; Rx/Tx LED off also set RA2 - (TX/RX) toggle off (TX)
TRISA_VALUE	EQU	b'11100000'	; Setup Value for Tristate Drivers of PortA
PORTB_VALUE	EQU	b'00100001'	; Pwr LED off, TX Pin = 1
TRISB_VALUE	EQU	b'11010110'	; Setup Value for Tristate Drivers of PortB

RI_N_PORT	EQU	PORTB
RI_N_PIN	EQU	3

ID0_PORT	EQU	PORTB
ID0_PIN		EQU	6
ID1_PORT	EQU	PORTB
ID1_PIN		EQU	7

;
; note: LED outputs won't be set if port is specified with 0
;
LED_RX_PORT	EQU	PORTA
LED_RX_PIN	EQU	0
LED_TX_PORT	EQU	PORTA
LED_TX_PIN	EQU	1
LED_PWR_PORT	EQU	PORTB
LED_PWR_PIN	EQU	0

CLOCK_FREQ               EQU     20000000
DMX_BAUD_RATE              EQU     250000
;DMX_BAUD_RATE              EQU     9600 ; Only used for testing
DMX_BAUD_RATE_CONST        EQU     (CLOCK_FREQ/(16*DMX_BAUD_RATE))-1

; DMX Command globals:
DMX_COMMAND_MODE	EQU	0x80 	; This bitwise operator tells us this contains a command (bit 7 high)
DMX_PROGRAM_MODE		EQU 0xFF 	; This tells us to enter program mode, all bytes following should be 
							; stored in program flash using the standard Midibox Sysex commands! (I WISH!)
DMX_COMMAND_SEND1	EQU 0xC0   ; Remote has requested a full dump of DMX Low	
DMX_COMMAND_SEND2	EQU 0xC1  ; Remote has requested a full dump of DMX High				